import { axios } from '@/utils/request'

//  采购退货 列表  分页
export const purchaseRerurnList = (params) => {
  const url = `/purchaseRerurn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  采购退货 导出
export const purchaseRerurnExport = (params) => {
  return axios({
    url: '/purchaseRerurn/export',
    data: params,
    method: 'post'
  })
}
//  采购退货 审核
export const purchaseRerurnAudit = (params) => {
  return axios({
    url: '/purchaseRerurn/audit',
    data: params,
    method: 'post'
  })
}
//  采购退货 收款
export const purchaseRerurnPay = (params) => {
  return axios({
    url: '/purchaseRerurn/pay',
    data: params,
    method: 'post'
  })
}
//  采购退货 打印
export const purchaseRerurnPrint = (params) => {
  return axios({
    url: '/purchaseRerurn/print',
    data: params,
    method: 'post'
  })
}
//  采购退货 打印预览
export const purchaseRerurnprintPreview = (params) => {
  return axios({
    url: '/purchaseRerurn/printPreview',
    data: params,
    method: 'post'
  })
}
//  采购退货 提交
export const purchaseRerurnSubmit = (params) => {
  return axios({
    url: '/purchaseRerurn/submit',
    data: params,
    method: 'post'
  })
}
//  采购退货 保存
export const purchaseRerurnSave = (params) => {
  return axios({
    url: '/purchaseRerurn/save',
    data: params,
    method: 'post'
  })
}
//  采购退货 删除
export const purchaseRerurnDel = (params) => {
  return axios({
    url: `/purchaseRerurn/delete/${params.id}`,
    data: params,
    method: 'post'
  })
}
