import { axios } from '@/utils/request'

//  销售 列表  有分页
export const salesList = (params) => {
  const url = `/sales/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售 详情
export const salesDetail = (params) => {
  return axios({
    url: `/sales/findById/${params.id}`,
    data: params,
    method: 'get'
  })
}
//  销售 打印
export const salesPrint = (params) => {
  return axios({
    url: '/sales/print',
    data: params,
    method: 'post'
  })
}
//  销售 打印预览
export const salesPrintPreview = (params) => {
  return axios({
    url: '/sales/printPreview',
    data: params,
    method: 'post'
  })
}
//  销售 冲减
export const salesWriteDown = (params) => {
  return axios({
    url: '/sales/writeDown',
    data: params,
    method: 'post'
  })
}
//  销售 审核
export const salesWriteAudit = (params) => {
  return axios({
    url: '/sales/audit',
    data: params,
    method: 'post'
  })
}
//  销售 折扣
export const salesWriteDiscount = (params) => {
  return axios({
    url: '/sales/discount',
    data: params,
    method: 'post'
  })
}
//  销售 备货审核
export const salesWritePrepareAudit = (params) => {
  return axios({
    url: '/sales/prepareAudit',
    data: params,
    method: 'post'
  })
}
//  销售 收款
export const salesWriteReceipt = (params) => {
  return axios({
    url: '/sales/receipt',
    data: params,
    method: 'post'
  })
}
//  销售 出库
export const salesWriteStockOut = (params) => {
  return axios({
    url: '/sales/stockOut',
    data: params,
    method: 'post'
  })
}
//  销售 提交
export const salesWriteSubmit = (params) => {
  return axios({
    url: '/sales/submit',
    data: params,
    method: 'post'
  })
}
//  销售 保存
export const salesSave = (params) => {
  return axios({
    url: '/sales/save',
    data: params,
    method: 'post'
  })
}
//  销售 删除
export const salesDel = (params) => {
  return axios({
    url: `/sales/delete/${params.id}`,
    data: params,
    method: 'post'
  })
}
