import { axios } from '@/utils/request'

//  库存列表  分页
export const stockList = (params) => {
  const url = `/stock/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  库存详情列表  分页
export const stockDetailList = (params) => {
  const url = `/stock/queryDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  库存 列表 合计
export const stockCount = (params) => {
  return axios({
    url: '/stock/queryCount',
    data: params,
    method: 'post'
  })
}
